name:                templating
version:             0.1.0.0
license:             MIT 
author:              ProofOfPizza
copyright:           ProofOfPizza

extra-source-files:
  - README.md

dependencies:
  - base >= 4.7 && < 5
  - blaze-html
  - blaze-markup
  - bytestring
  - text
library:
  source-dirs: src
default-extensions:
  - OverloadedStrings
 
executables:
  Templating:
    main:                Main.hs
    source-dirs:         app
    ghc-options:
    - -dynamic
    - -Wall
    - -Wcompat
    - -Wincomplete-record-updates
    - -Wincomplete-uni-patterns
    - -Wredundant-constraints
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N
    - -Wno-type-defaults
    - -Wno-name-shadowing
    dependencies:
    - templating

tests:
  Templating-test:
    main:                Spec.hs
    source-dirs:         test
    ghc-options:
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N
    dependencies:
    - templating
